GFFRecordFilter.FeatureFilter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.gff.GFFRecordFilter.FeatureFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff
Class GFFRecordFilter.FeatureFilter

    java.lang.Object
      org.biojava.bio.program.gff.GFFRecordFilter.FeatureFilter

All Implemented Interfaces:
  GFFRecordFilter

Enclosing interface:
  GFFRecordFilter

    public static class GFFRecordFilter.FeatureFilter

extends Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts records based upon the feature field.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.FeatureFilter()`
`GFFRecordFilter.FeatureFilter(String feature)`

Method Summary
`boolean` | `accept(GFFRecord record)` Return whether or not to accept record.
`String` | `getFeature()` Retrieve the current feature.
`void` | `setFeature(String feature)` Set the feature to feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.FeatureFilter

    public GFFRecordFilter.FeatureFilter()

### GFFRecordFilter.FeatureFilter

    public GFFRecordFilter.FeatureFilter(String feature)

Method Detail

### setFeature

    public void setFeature(String feature)

  Set the feature to feature.

  Parameters:
    `feature` - the feature

### getFeature

    public String getFeature()

  Retrieve the current feature.

  Returns:
    the feature String

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: `GFFRecordFilter`
  Return whether or not to accept record.

  Specified by:
    `accept` in interface `GFFRecordFilter`
  Parameters:
    `record` - the GFFRecord to filter
  Returns:
    record. getFeature`()` `==` this.getFeature`()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD